## gnome-rr-config

gnome-rr-config

## Synopsis

    #include <libgnomeui/gnome-rr-config.h>

    typedef             GnomeOutputInfo;
    typedef             GnomeRRConfig;
    GnomeRRConfig *     gnome_rr_config_new_current         (GnomeRRScreen *screen);
    GnomeRRConfig *     gnome_rr_config_new_stored          (GnomeRRScreen *screen,
                                                             GError **error);
    void                gnome_rr_config_free                (GnomeRRConfig *configuration);
    gboolean            gnome_rr_config_match               (GnomeRRConfig *config1,
                                                             GnomeRRConfig *config2);
    gboolean            gnome_rr_config_equal               (GnomeRRConfig *config1,
                                                             GnomeRRConfig *config2);
    gboolean            gnome_rr_config_save                (GnomeRRConfig *configuration,
                                                             GError **error);
    void                gnome_rr_config_sanitize            (GnomeRRConfig *configuration);
    gboolean            gnome_rr_config_apply               (GnomeRRConfig *configuration,
                                                             GnomeRRScreen *screen,
                                                             GError **error);
    gboolean            gnome_rr_config_apply_stored        (GnomeRRScreen *screen,
                                                             GError **error);
    gboolean            gnome_rr_config_applicable          (GnomeRRConfig *configuration,
                                                             GnomeRRScreen *screen,
                                                             GError **error);

## Description

## Details

### GnomeOutputInfo

    typedef struct GnomeOutputInfo GnomeOutputInfo;

### GnomeRRConfig

    typedef struct GnomeRRConfig GnomeRRConfig;

### gnome_rr_config_new_current ()

    GnomeRRConfig *     gnome_rr_config_new_current         (GnomeRRScreen *screen);

`screen` : |
Returns : |

### gnome_rr_config_new_stored ()

    GnomeRRConfig *     gnome_rr_config_new_stored          (GnomeRRScreen *screen,
                                                             GError **error);

`screen` : |
`error` : |
Returns : |

### gnome_rr_config_free ()

    void                gnome_rr_config_free                (GnomeRRConfig *configuration);

`configuration` : |

### gnome_rr_config_match ()

    gboolean            gnome_rr_config_match               (GnomeRRConfig *config1,
                                                             GnomeRRConfig *config2);

`config1` : |
`config2` : |
Returns : |

### gnome_rr_config_equal ()

    gboolean            gnome_rr_config_equal               (GnomeRRConfig *config1,
                                                             GnomeRRConfig *config2);

`config1` : |
`config2` : |
Returns : |

### gnome_rr_config_save ()

    gboolean            gnome_rr_config_save                (GnomeRRConfig *configuration,
                                                             GError **error);

`configuration` : |
`error` : |
Returns : |

### gnome_rr_config_sanitize ()

    void                gnome_rr_config_sanitize            (GnomeRRConfig *configuration);

`configuration` : |

### gnome_rr_config_apply ()

    gboolean            gnome_rr_config_apply               (GnomeRRConfig *configuration,
                                                             GnomeRRScreen *screen,
                                                             GError **error);

### Warning

`gnome_rr_config_apply` is deprecated and should not be used in newly-written code.

`configuration` : |
`screen` : |
`error` : |
Returns : |

### gnome_rr_config_apply_stored ()

    gboolean            gnome_rr_config_apply_stored        (GnomeRRScreen *screen,
                                                             GError **error);

### Warning

`gnome_rr_config_apply_stored` is deprecated and should not be used in newly-written code.

See the documentation for `gnome_rr_config_apply_from_filename()`. This function simply calls that other function with a filename of `gnome_rr_config_get_intended_filename()`.

`Deprecated`: 2.26: Use `gnome_rr_config_apply_from_filename()` instead and pass it the filename from `gnome_rr_config_get_intended_filename()`.

`screen` : | A GnomeRRScreen
`error` : | Location to store error, or `NULL`
Returns : |

### gnome_rr_config_applicable ()

    gboolean            gnome_rr_config_applicable          (GnomeRRConfig *configuration,
                                                             GnomeRRScreen *screen,
                                                             GError **error);

`configuration` : |
`screen` : |
`error` : |
Returns : |